本网站使用的是zblog for php,服务器使用的是阿里云云虚拟主机,云虚拟主机默认的是低版本的PHP,偶然遇到插件需要7.1版本及以上才能使用,就在阿里云主机管理平台更改成了7.2版本的PHP,结果导致了网站与数据库连接失败。

经过几次试验,找到解决方法。

首先,重置数据库密码时,将数据库加密模式设置为41位加密!

然后通过ftp连接服务器文件管理,找到数据库配置文件c_option.php(文件所在位置htdocs>zb_users)

最后将文件c_option.php文件里面数据库密码修改为上一步设置的新密码后替换网站初始文件

image.png

你在刷新下你的网站,熟悉的面孔就又回来了。